import React from "react";
import ReactDOM from "react-dom";
import { action } from "@storybook/addon-actions";
import Workspace from "./Workspace";
import SidebarBox from "./SidebarBox";
import FeaturedVideoIcon from "@mui/icons-material/FeaturedVideo";
import PlayIcon from "@mui/icons-material/PlayArrow";

var Site = function Site() {
  return /*#__PURE__*/React.createElement(Workspace, {
    headerLeftSide: /*#__PURE__*/React.createElement("h2", null, "Hello World"),
    allowFullscreen: true,
    headerItems: [{
      name: "Prev"
    }, {
      name: "Next",
      iconPos: "right"
    }, {
      name: "Save"
    }],
    onClickHeaderItem: action("onClickHeaderItem"),
    onClickIconSidebarItem: action("onClickIconSidebarItem"),
    rightSidebarExpanded: true,
    iconSidebarItems: [{
      name: "Play",
      helperText: "Play Tooltip"
    }, {
      name: "Pause",
      helperText: "Pause Tooltip"
    }, {
      name: "settings",
      helperText: "Select",
      alwaysShowing: true
    }, {
      name: "fullscreen",
      helperText: "Drag/Pan (right or middle click)",
      alwaysShowing: true
    }],
    rightSidebarItems: [/*#__PURE__*/React.createElement(SidebarBox, {
      icon: /*#__PURE__*/React.createElement(FeaturedVideoIcon, null),
      title: "Region Selector",
      key: "Region Selector"
    }, "Hello world!"), /*#__PURE__*/React.createElement(SidebarBox, {
      icon: /*#__PURE__*/React.createElement(PlayIcon, null),
      title: "Playable GIFs",
      key: "Playable GIFs"
    }, "Hello world!")]
  }, /*#__PURE__*/React.createElement("div", {
    style: {
      width: 400,
      height: 400,
      backgroundColor: "#f00"
    }
  }, "Hello World"));
};

ReactDOM.render( /*#__PURE__*/React.createElement(Site, null), document.getElementById("root"));